/*******************************************************************************
 * GenRGenS v.1.0, Generation of Random Genomic Sequences                      *
 * Copyright (C) 2001  Alain Denise/Yann Ponty                                 *
 *                                                                             *
 * This program is free software; you can redistribute it and/or               *
 * modify it under the terms of the GNU General Public License                 *
 * as published by the Free Software Foundation; either version 2              *
 * of the License, or (at your option) any later version.                      *
 *                                                                             *
 * This program is distributed in the hope that it will be useful,             *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with this program; if not, write to the Free Software                 *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *******************************************************************************/

package GenRGenS.markov;

import GenRGenS.GeneratorCreationException;

/**
 * La leve d'instances de cette classe signifie  la classe
 * crant des instances de la classe <code>Markov</code> qu'une 
 * erreur a eu lieu au cours de l'initialisation.
 * Cette erreur sera soit relative au Parsing du fichier source,
 * soit smantique.
 * @see Markov
 */
public class BadMarkovException extends GeneratorCreationException
{
		/**
		 * Construit une erreur de message dlivr  l'utilisateur fix par le paramtre.
		 * @param msg Le message "expliquant" l'erreur.
		 */
		public BadMarkovException(String msg)
		{ super(msg); };
}
